Bug 7059 - aic7xxx driver comming with RH6.1 installation bootdisk produces time out for Traxdata CDR4120
Summary: aic7xxx driver comming with RH6.1 installation bootdisk produces time out for...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 6.1
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-16 21:36 UTC by etaflin
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-04-18 02:35:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description etaflin 1999-11-16 21:36:41 UTC
aic7xxx version 5.1.15 works
The above later version of aic7xxx gives error message:
_______________________________
Detected scsi removable disk sdd at scsi1, channel 0, id 5, lun 0
(scsi1:0:6:0) Synchronous at 10.0 Mbyte/sec, offset 15.
  Vendor: Traxdata  Model: CDR4120           Rev: 5.0N
  Type:   CD-ROM                             ANSI SCSI revision: 02
scsi: aborting command due to timeout: pid 25, scsi 1, channel 0, id 6,
lun 0
Test Unit Ready 00 00 00 00 00
__________________________________


Included please find my file  /proc/scsi/aic7xxx/1 in the case of
aic7xxx version 5.1.15 :



Adaptec AIC7xxx driver version: 5.1.15/3.2.4
Compile Options:
  TCQ Enabled By Default : Disabled
  AIC7XXX_PROC_STATS     : Enabled
  AIC7XXX_RESET_DELAY    : 5

Adapter Configuration:
           SCSI Adapter: Adaptec AIC-7850 SCSI host adapter
                           Narrow Controller
    PCI MMAPed I/O Base: 0xfedff000
 Adapter SEEPROM Config: SEEPROM found and used.
      Adaptec SCSI BIOS: Disabled
                    IRQ: 3
                   SCBs: Active 0, Max Active 1,
                         Allocated 15, HW 3, Page 255
             Interrupts: 107
      BIOS Control Word: 0x0100
   Adapter Control Word: 0x001d
   Extended Translation: Disabled
Disconnect Enable Flags: 0x00ff
 Tag Queue Enable Flags: 0x0000
Ordered Queue Tag Flags: 0x0000
Default Tag Queue Depth: 8
    Tagged Queue By Device array for aic7xxx host instance 1:
      {255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255}
    Actual queue depth per device for aic7xxx host instance 1:
      {1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1}

Statistics:

(scsi1:0:4:0)
  Device using Narrow/Sync transfers at 5.0 MByte/sec, offset 15
  Transinfo settings: current(50/15/0/0), goal(25/15/0/0), user(25/15/0/0)
  Total transfers 0 (0 reads and 0 writes)
             < 2K      2K+     4K+     8K+    16K+    32K+    64K+   128K+
   Reads:       0       0       0       0       0       0       0       0
  Writes:       0       0       0       0       0       0       0       0


(scsi1:0:5:0)
  Device using Narrow/Async transfers.
  Transinfo settings: current(0/0/0/0), goal(0/0/0/0), user(25/15/0/0)
  Total transfers 0 (0 reads and 0 writes)
             < 2K      2K+     4K+     8K+    16K+    32K+    64K+   128K+
   Reads:       0       0       0       0       0       0       0       0
  Writes:       0       0       0       0       0       0       0       0


(scsi1:0:6:0)
  Device using Narrow/Sync transfers at 10.0 MByte/sec, offset 15
  Transinfo settings: current(25/15/0/0), goal(25/15/0/0), user(25/15/0/0)
  Total transfers 0 (0 reads and 0 writes)
             < 2K      2K+     4K+     8K+    16K+    32K+    64K+   128K+
   Reads:       0       0       0       0       0       0       0       0
  Writes:       0       0       0       0       0       0       0       0


(END)

Comment 1 Cristian Gafton 2000-01-04 22:20:59 UTC
Assigned to dledford

Comment 2 Anonymous 2000-04-18 02:35:59 UTC
Have you tried aic7xxx version 5.1.28 from
http://people.redhat.com/dledford/aic7xxx.html ?

I have similiar problem with Seagate ST39204 on RH6.1 with default aic7xxx
driver. Problem resolved with the 5.1.28 driver.


Note You need to log in before you can comment on or make changes to this bug.